



/* graphdsp.h -- display simple functions y = f(x) */


#ifndef __IMAGER_GRAPHDSP_H
#define __IMAGER_GRAPHDSP_H



#include "defs.h"


rgbtriplet colortable[16];

int sign(double x);
double decade(double x);
void minimax(double* pmin, double* pmax);
double calcstep(double min, double max, int numticks);
void Frame(GtkWidget* draw, float* xdata, float* ydata, int datapoints, int datasets);
void DrawData(GtkWidget* draw, float* xdata, float* ydata, int datapoints, int datasets);
void g_window_set_title (const char *s);


void graphme (float* xdata, float* ydata, int numpts);
void multi_graphme (float* xdata, float* ydata, int numpts, int datasets);
void graphme_d (double* xdata, double* ydata, int numpts);
void multi_graphme_d (double* xdata, double* ydata, int numpts, int datasets);



#endif

